Page MenuHomePhabricator

QA Replying v1.0 on prototype server
Closed, ResolvedPublic

Description

Before we begin user tests for v1.0 of the new workflow for replying to specific comments (T235592) this Friday, 13-Dec we should QA them to make sure the workflow functions in ways we and contributors will expect it to.

Testing details

Where can the prototype be found?
Replying v1.0 can be tested on the prototype server: https://visualeditor-prototype.wmflabs.org/wiki/Talk:Reply_test

What platforms should the prototype be tested on?
Desktop

What components of the workflow should be tested?
Copied from spec: T235592

  • Reply to specific comments within a discussion without changing the state of the page
  • Draft a reply in a text field using wikitext while being able to see the comment(s) I am replying to
  • Discard a reply without publish it
  • Preview how my reply will appear once it's posted to the talk page
  • Have my edit summary created automatically
  • Have my reply indented/outdented to the proper depth automatically
  • Know my comment was posted successfully
  • Have the time and date of my post, a link to my user page and a link to my talk page included with my reply automatically
  • See the date and time a comment was made, in my local timezone and preferred date format
  • Attempt to post a comment with notation for signing my name or indenting/outdenting my comment without breaking the experience

"Done"

  • Verify the components listed in the "Testing details" section above work properly
  • For things that are not working properly, file bugs as children to this ticket (T239961)

Event Timeline

ppelberg created this task.Dec 5 2019, 11:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2019, 11:34 PM
ppelberg updated the task description. (Show Details)Dec 9 2019, 8:22 PM

Update to task description:

  • REMOVE: "See the date and time a comment was made, in my local timezone and preferred date format" from "What components of the workflow should be tested?" section. Reason: this functionality has not yet been implemented. See: T240360
ppelberg updated the task description. (Show Details)Dec 12 2019, 10:11 PM
ppelberg closed this task as Resolved.Feb 11 2020, 1:06 AM
ppelberg updated the task description. (Show Details)